package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;

/**
 * @Author: liweifan
 * @Data: 2022-08-04 10:19:49
 */
@ApiModel(value = "ActivityRewardSearch对象", description = "活动奖品表查询对象")
public class ActivityRewardSearch extends QueryInfo{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("奖品名称 ")
	private String rewardName;

	@ApiModelProperty("状态 0 正常 1停用 ")
	private Integer status;

	@ApiModelProperty("客户端：STUDENT 学生端 TEACHER 老师端  多选 ")
	private String rewardClient;

	@ApiModelProperty("是否只查询有库存的数据 0 否 1 是")
	private YesOrNoEnum hasStock;

	public String getRewardName() {
		return rewardName;
	}

	public void setRewardName(String rewardName) {
		this.rewardName = rewardName;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getRewardClient() {
		return rewardClient;
	}

	public void setRewardClient(String rewardClient) {
		this.rewardClient = rewardClient;
	}

	public YesOrNoEnum getHasStock() {
		return hasStock;
	}

	public void setHasStock(YesOrNoEnum hasStock) {
		this.hasStock = hasStock;
	}
}